<?php

class DemoConfig
{
    const VOD_MOVIE_PAGE_SUPPORTED = false;
    const VOD_FAVORITES_SUPPORTED  = false;
    const TV_FAVORITES_SUPPORTED   = false;
    const CHANNEL_LIST_URL      = 'list.xml';
    const CHANNEL_SORT_FUNC_CB = 'DemoConfig::sort_channels_cb';

    ///////////////////////////////////////////////////////////////////////
    // How to sort IPTV-channels.

    public static function sort_channels_cb($a, $b)
    {
        // Sort by channel numbers.
        return strnatcasecmp($a->get_number(), $b->get_number());

        // Other options:
        // return strnatcasecmp($a->get_title(), $b->get_title());
    }

    ///////////////////////////////////////////////////////////////////////
    // Folder views.

    public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
    {
	return array();
    }

    public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 1,
                    ViewParams::num_rows => 6,
                    ViewParams::paint_details => true,
                    ViewParams::zoom_detailed_icon => true,
		    		ViewParams::item_detailed_info_title_color => 7,
		    		ViewParams::item_detailed_info_text_color => 6,
					ViewParams::content_box_padding_top => 120,
					ViewParams::content_box_padding_bottom => 170,
					ViewParams::extra_content_objects =>
					'label{x=50}{y=30}{text=Выбор варианта качества потока}{color=14}'.
					'label{x=50}{y=40}{text=___________________________}{color=14}'.
					'label{x=50}{y=680}{text=Для старта выбранного потока нажмите}{color=7}'.
					'label{x=820}{y=680}{text=ENTER}{color=6}'.
					'label{x=960}{y=680}{text=или}{color=7}'.
					'label{x=1050}{y=680}{text=PLAY}{color=6}',
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_LEFT,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::icon_dx => 10,
                    ViewItemParams::icon_dy => -5,
                    ViewItemParams::icon_width => 75, //40,
                    ViewItemParams::icon_height => 45, //30,
                    ViewItemParams::item_caption_width => 1060, //480, //525,
                    ViewItemParams::icon_path => 'plugin_file://icons/logo.png',
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

        );
    }
}

?>
