<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';
require_once 'plugtv_about.php';
///////////////////////////////////////////////////////////////////////////

class DemoSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);
    }

    public static function get_media_url_str()
    {
        return MediaURL::encode(array('screen_id' => self::ID));
    }

    public function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        $show_tv = isset($plugin_cookies->show_tv) ? $plugin_cookies->show_tv : 'yes';
        $epg_shift = isset($plugin_cookies->epg_shift) ? $plugin_cookies->epg_shift : 0;
        $buf_time = isset($plugin_cookies->buf_time) ? $plugin_cookies->buf_time : 0;
		$set_font = isset($plugin_cookies->set_font) ? $plugin_cookies->set_font : '2'; 
		$epg_server = isset($plugin_cookies->epg_server) ? $plugin_cookies->epg_server : '1'; 

        $show_ops = array();
        $show_ops['yes'] = 'Показать';
        $show_ops['no'] = 'Спрятать';

        $set_font_ops = array();
        $set_font_ops['1'] = 'Нормальный';
        $set_font_ops['2'] = 'Мелкий';

        $epg_ops = array();
        $epg_ops['1'] = 'От провайдера';
        $epg_ops['2'] = 'Внешний источник';

        for ($i = -12; $i<13; $i++) $shift_ops[$i*3600] = $i;

		$v_line1 = '<text color=23 size=normal>_____</text>';
		$g = '<gap width="16"/>';
		$v_text1 = '<text dy=20 color=14 size=small>информация</text>';
        ControlFactory::add_vgap($defs, -20);
        ControlFactory::add_smart_label($defs, '               _________________________________', $v_line1.$g.$v_text1.$g.$v_line1);
		$ver = HD::ver();
		ControlFactory::add_button($defs, $this, null, 'plug_info', '               Информация о плагине', 'Ознакомиться', 450, true);
		ControlFactory::add_button($defs, $this, null, 'prov_info', '               Информация о телеканале', 'Ознакомиться', 0, true);

        ControlFactory::add_vgap($defs, -30);
		$v_line2 = '<text color=23 size=normal>______</text>';
		$v_text2 = '<text dy=20 color=14 size=small> установки </text>';
        ControlFactory::add_smart_label($defs, '               _________________________________', $v_line2.$v_text2.$v_line2);


        $this->add_combobox($defs, 'show_tv', '               Показывать плагин в главном меню', $show_tv, $show_ops, 0, true);
        $this->add_combobox($defs, 'epg_server', '               Выбор сервера телепрограммы', $epg_server, $epg_ops, 0, true);
        $this->add_combobox($defs, 'epg_shift', '               Сдвиг времени ТВ-программы (в часах)', $epg_shift, $shift_ops, 0, true);
        $this->add_combobox($defs, 'epg_font', '               Шрифт программы передач', $set_font, $set_font_ops, 0, true);

        $show_buf_time_ops = array();
        $show_buf_time_ops[0] = 'Без буферизации';
        $show_buf_time_ops[500] = '0.5 секунды';
        $show_buf_time_ops[1000] = '1 секунда';
        $show_buf_time_ops[2000] = '2 секунды';
        $show_buf_time_ops[3000] = '3 секунды';
        $show_buf_time_ops[5000] = '5 секунд';
        $show_buf_time_ops[10000] = '10 секунд';

        $this->add_combobox ( $defs, 'buf_time', '               Время буферизации', $buf_time, $show_buf_time_ops, 0, true);

        ControlFactory::add_vgap($defs, -30);
		$v_line1 = '<text color=23 size=normal>_______</text>';
		$v_text1 = '<text dy=20 color=14 size=small> сервис </text>';
        ControlFactory::add_smart_label($defs, '               _________________________________', $v_line1.$v_text1.$v_line1);
		ControlFactory::add_button($defs, $this, null, 'restart', '               Перезагрузка', 'Выбор варианта', 0, true);

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function get_info_about_channel()
      {
        $defs = array();
		ControlFactory::add_vgap($defs, -40);
		$line = '<text color=16 size="small">___________________________________________________________________________</text>';	
        ControlFactory::add_smart_label($defs, null, $line);
		ControlFactory::add_vgap($defs, -20);

		$text = 'КТК - первый коммерческий национальный телеканал в Казахстане. По телеканалу транслируются основные события республики и региона, информационные передачи, телепрограммы производства самого телеканала, различные художественные и документальные картины.

Популярность телеканала КТК состоит в его качественном контенте. Оперативные и достоверные новости, признанные во всей стране, различные фильмы и сериалы, производства как самого телеканала, так и крупнейших зарубежных студий. Фильмы, снятные телеканалом КТК, до сих пор успешно продаются и транслируются не только в Казахстане, но и в других странах СНГ.

На сайте вы сможете смотреть телеканал КТК онлайн бесплатно.

Сайт телеканала — www.ktk.kz';

        ControlFactory::add_multi_label($defs, null, $text, 12);

		ControlFactory::add_vgap($defs, -40);
		$line = '<text color=16 size="small">___________________________________________________________________________</text>';	
        ControlFactory::add_smart_label($defs, null, $line);

//		ControlFactory::add_vgap($defs, 25); 
		$path = DuneSystem::$properties['install_dir_path'];
		$button_up = $path.'/icons/up.aai';
		$button_down = $path.'/icons/down.aai';
		$button_return = $path.'/icons/return.aai';
		$ico_up  = '<icon dy="-5">'.$button_up.'</icon>';
		$ico_down  = '<icon dy="-5">'.$button_down.'</icon>';
		$ico_return  = '<icon dy="-5">'.$button_return.'</icon>';
		$text_scroll = '<text size=small color=14> Скроллинг</text>';
		$text_return = '<text size=small color=14> Закрыть</text>';
		$g1 = '<gap width="40"/>';
		ControlFactory::add_smart_label($defs, null, $ico_up.$ico_down.$text_scroll.$g1.$ico_return.$text_return);

        return $defs;
      }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
    foreach ($user_input as $key => $value)
   	$control_id = $user_input->control_id;

	switch ($control_id)
		{
		case 'plug_info':
			return  ActionFactory::show_dialog( "КТК", ABOUT::get_plug_info(), true, 720 );
			break;

		case  'prov_info':
			$defs = $this->get_info_about_channel();
			return  ActionFactory::show_dialog( "О телеканале", $defs, true, 1350 );
			break;			

		case  'show_tv':
            $plugin_cookies->show_tv = $user_input->{'show_tv'};
			break;

		case  'epg_shift':
            $plugin_cookies->epg_shift = $user_input->{'epg_shift'};
			break;

		case  'buf_time':
            $plugin_cookies->buf_time = $user_input->{'buf_time'};
			break;

		case  'restart':
			$defs = array();
			ControlFactory::add_button($defs, $this, null, 'reboot', null, 'Быстрая перезагрузка', 500, true);
			ControlFactory::add_button($defs, $this, null, 'reboot_full', null, 'Полная перезагрузка', 500, true);
			ControlFactory::add_vgap($defs, -30);
			ControlFactory::add_smart_label($defs, null, '<text color=18>______________________</text>');
			ControlFactory::add_button($defs, $this, null, 'close_btn', null, 'Отмена', 500, true);
			return  ActionFactory::show_dialog( "Перезагрузка", $defs, true, 480);
			break;

		case  'reboot':
			shell_exec('killall shell');
			break;

		case  'reboot_full':
			shell_exec('reboot');
			break;

		case  'close_btn':
			return  ActionFactory::close_dialog();
			break;

		case  'epg_font':
            $plugin_cookies->set_font = $user_input->{'epg_font'};
			break;

		case  'epg_server':
            $plugin_cookies->epg_server = $user_input->{'epg_server'};
			break;

		default: null;
	    }
    return ActionFactory::reset_controls($this->do_get_control_defs($plugin_cookies));
	}
}

///////////////////////////////////////////////////////////////////////////
?>
