<?php
///////////////////////////////////////////////////////////////////////////
require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class DemoTvgScreen extends AbstractControlsScreen

{
    const ID = 'tvg';

    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(self::ID);

    }

    public static function get_media_url_str()
    {
        return MediaURL::encode(array('screen_id' => self::ID));
    }

////////////////////////////
    public function do_get_control_defs(&$plugin_cookies)
    {

	$defs = array();
	$local_tz = HD::get_local_time_zone();
	$local_tz_offset = HD::get_local_time_zone_offset();
	$today = date("Y-m-d");	// Текущая дата text
	$tvg_date = isset($plugin_cookies->tvg_date) ? $plugin_cookies->tvg_date : strtotime($today);	

	$d_week = date("w", $tvg_date);

	$days = explode("|", 'Воскресенье|Понедельник|Вторник|Среда|Четверг|Пятница|Суббота');
	$rday_name = $days[$d_week];

    if ($plugin_cookies->tvg_date == strtotime(date("Y-m-d")))
	$rday_name = 'Сегодня';
	$months = explode("|", '|января|февраля|марта|апреля|мая|июня|июля|августа|сентября|октября|ноября|декабря');
	$epg_g = date("Y", $tvg_date);
	$epg_m = date("n", $tvg_date);
	$epg_d = date("j", $tvg_date);
	$epg_m = $months[$epg_m];
	$day_prop = ', '.$epg_d.' '.$epg_m.' '.$epg_g.' года';

    $tvg_date_ops = array();
    for ($i = -2; $i<8; $i++)
	$tvg_date_ops[strtotime($today) +  $i*86400] = date("d.m.Y", strtotime($today) +  $i*86400);


	$this->add_combobox($defs, 'tvg_date', '', $tvg_date, $tvg_date_ops, 0, true);

	$rday_name = '<text dy=-70 color=14 size="normal">                        '.$rday_name.$day_prop.'</text>';
	ControlFactory::add_smart_label($defs, "", $rday_name);
/////////////////////////////////////////////////////////////////////////////////////////
	$ch_name = $plugin_cookies->tvg_c_name;
	$e_cod = $plugin_cookies->tvg_e_cod;
	$epg_server = isset($plugin_cookies->epg_server) ? $plugin_cookies->epg_server : '1';

	    $epg = array();
	    $doc = "";
	    $epg_shift = 0;
	    $ch_shift = 0;
	    $day_start_ts = $tvg_date;
///===========================================================================
    if ($epg_server == '1')				// ВсеТВ
	{
		$source = 'http://www.vsetv.com';
		$doc = ET::get_epg_vsetv($day_start_ts);
	}
///===========================================================================
	else if ($epg_server == '2')			// Новый мир
	{
	$doc = ET::get_epg_newworld($day_start_ts);
	$ch_shift = $local_tz_offset;
	}
///===========================================================================

	preg_match_all("/([0-2]{0,1}[0-9][\.\:][0-5][0-9])([^\n]+)\n/", $doc, $matches);
         $last_time = 0;
	$str = '';
	$text = '';
	$epg_date = date("Y-m-d");	// Текущая дата
	$now_time = intval(time())+$local_tz_offset;	// Текущее время в UNIX 

        foreach ($matches[1] as $key => $time)
	    {
	    $str = preg_split("/\|/", $matches[2][$key], 2);
	    $name = $str[0];
	    $descr = array_key_exists(1, $str) ? $str[1] : "";
	    $u_time = strtotime("$epg_date $time $local_tz")+$ch_shift;
	    $last_time = ($u_time < $last_time) ? $u_time + 86400  : $u_time ;
//=================================================
	    if  ($last_time + $local_tz_offset < $now_time)
		{
			$k = $key;
			$k_u = strtotime("$epg_date $k $local_tz")+$ch_shift;
			$n = $name;
		}
//=================================================
	    $epg[$last_time]["name"] = $name;
	    $t = date("H:i", floatval($last_time) + $local_tz_offset);
	    $text .= $t." ".$name."\n";
	    }
	    if ($plugin_cookies->tvg_date == strtotime(date("Y-m-d")))
		{
		$txt = $matches[1][$k];
		$t_new = strtotime($txt);
		$txt = date("H:i", $t_new + $k_u);		
		$text = str_replace($txt, "->      ".$txt, $text);
		$rday_name = 'Сегодня';
		}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	$outtxt=substr_count("$text", "\n");
	$text .= str_repeat("\n", 14 - ($outtxt % 14));
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	ControlFactory::add_vgap($defs, -70);

	ControlFactory::add_multi_label($defs, "", $text, 14);

	$p1 = dirname(__FILE__)."/icons/p_plus.png";
	$ico_p1 = '<icon dy="-5">'.$p1.'</icon>';
	$p1_text = '<text size=small color=23> Прокрутка Вверх     </text>';
	$p2 = dirname(__FILE__)."/icons/p_minus.png";
	$ico_p2 = '<icon dy="-5">'.$p2.'</icon>';
	$p2_text = '<text size=small color=23> Прокрутка Вниз                       </text>';
	$scr1 = '<text size=small color=23>Источник: </text>';
	$scr2 = '<text size="small">'.$epg_server.'</text>';
	$g3 = '<gap width="250"/>';	
	ControlFactory::add_vgap($defs, 15);
	ControlFactory::add_smart_label($defs, "", $ico_p1.$p1_text.$ico_p2.$p2_text);

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
        foreach ($user_input as $key => $value)
//            hd_print("  $key => $value");

        if ($user_input->action_type === 'confirm')
        {
            $control_id = $user_input->control_id;
            $new_value = $user_input->{$control_id};
            if ($control_id === 'tvg_date')
                $plugin_cookies->tvg_date = $new_value;
        }

        return ActionFactory::reset_controls($this->do_get_control_defs($plugin_cookies));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
